Host

Host (bare metal or VM) requests

Get all your hosts (can be bare metal servers or VMs) and their main details

get
Authorizations
PRIVATE-TOKENstringRequired
Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language. E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g. region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like: /host?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam" Warning: the labels query parameter is ignored when passing a PAGE-TOKEN and the original labels string will be used for that request instead. For more information about labels check details

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

get
/v3/host

Get all your hosts (can be bare metal servers or VMs) and their main details

get
Authorizations
PRIVATE-TOKENstringRequired
Query parameters
fieldsstringOptional

Fields return in response, only fields available in model can be filter out

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

get
/v3/host/summary

Get a host (can be bare metal servers or VMs) and their main details

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired
Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

get
/v3/host/{hostId}

Can add, edit or delete host labels. To delete label need to provide key with null value.

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired
Body
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

put
/v3/host/{hostId}

Get the last 50 tasks of the given host

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdstringRequired

The ID of the host

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

Task ID

namestringRead-onlyRequired

Task name

batchIdinteger · integerRead-onlyRequired

The ID of the batch the task belongs to

categoryIdinteger · integerRead-onlyRequired

The ID of the task category. Valid values are:

  • 1: game server
entityIdinteger · integerRead-onlyRequired

The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)

currentActionIdxinteger · integerRead-onlyRequired

Currently active action index - relates to the action index as found in the template.

executeAtinteger · integerRead-onlyRequired

Unix timestamp indicating the start of execution.

lastActivityAtinteger · integerRead-onlyRequired

Unix timestamp indicating lastest activity.

finishedAtinteger · integerRead-onlyRequired

Unix timestamp at which the task was finished.

resultCodeinteger · integerRead-onlyRequired

The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done

resultTextstringRead-onlyRequired

The result of the task in message form.

get
/v3/host/{hostId}/task

Get live situation of all the gaming hosts

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

get
/v3/host/liveState

Get all bare metal instance types (and their details) available for your account

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

The ID of the instance type

instanceTypestringRead-onlyRequired

The name of the instance type

cpuTypestringRead-onlyRequired

The type of CPU of the instance type

cpuSpeedinteger · integerRead-onlyRequired

The speed of CPU of the instance type

numCpuinteger · integerRead-onlyRequired

The number of CPUs of the instance type

numCoresPerCpuinteger · integerRead-onlyRequired

The number of cores per CPUs of the instance type

memoryTypestringRead-onlyRequired

The type of memory of the instance type

memorySpeedinteger · integerRead-onlyRequired

The memory speed of the instance type

memorySizeinteger · integerRead-onlyRequired

The amount of memory of the instance type in MB

get
/v3/host/instanceType

Get all the invoices for a specific host

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to fetch invoices for

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

The ID of the invoice

creationDateinteger · integerRead-onlyRequired

The date the invoice was created

dueDateinteger · integerRead-onlyRequired

The due date of the invoice

invoiceNumberstringRead-onlyRequired

The number of the invoice

invoiceHashstringRead-onlyRequired

A unique hash for this invoice

descriptionstringRequired

The description of the invoice

currencystringRequired

The currency that is being used

currencySignstringRequired

The currency sign that is being used

amountIncVATstringRequired

The amount of the invoice with VAT in cents

amountExclVATstringRequired

The amount of the invoice without VAT in cents

paymentStatusinteger · integerRequired

The payment status

paymentDateinteger · integerRequired

The timestamp that the invoice was paid, if paid

isCreditinteger · integerRequired

If this field is 1 it means that invoice is a credit invoice

remainingAmountstringRequired

The remaining amount of invoice

totalPaidAmountstringRequired

The total paid amount of invoice

get
/v3/host/{hostId}/invoice

Cancels a host. If you cancel a host you will continue to have access to the host until the end of the contract

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to cancel

Responses
put
/v3/host/{hostId}/cancel

Reverts the cancellation of a host. You cannot revert the cancellation a host if the current date is equal to or past the end of contract date, nor if the host was never cancelled

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to revert the cancellation for

Responses
put
/v3/host/{hostId}/cancel/revert

Get the traffic usage data for the last day

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to fetch traffic for

upLinkIdintegerRequired

ID of the uplink to fetch traffic for

Query parameters
startTimeintegerOptional

Start unix timestamp

endTimeintegerOptional

End unix timestamp

Responses
chevron-right
200

OK

application/json
unitstringRead-onlyRequired

Unit of data frequency, possible interval options are as follows

  • day
get
/v3/host/{hostId}/network/usage/{upLinkId}/raw

Get the traffic usage graph (last year)

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to fetch traffic for

upLinkIdintegerRequired

ID of the uplink to fetch traffic for

Responses
chevron-right
200

Base64 encoded image string

application/json
string[]Optional
get
/v3/host/{hostId}/network/usage/{upLinkId}/graph/year

Get the traffic usage graph (last 30 days)

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to fetch traffic for

upLinkIdintegerRequired

ID of the uplink to fetch traffic for

Responses
chevron-right
200

Base64 encoded image string

application/json
string[]Optional
get
/v3/host/{hostId}/network/usage/{upLinkId}/graph/month

Get the traffic usage graph (last 7 days)

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to fetch traffic for

upLinkIdintegerRequired

ID of the uplink to fetch traffic for

Responses
chevron-right
200

Base64 encoded image string

application/json
string[]Optional
get
/v3/host/{hostId}/network/usage/{upLinkId}/graph/week

Get the traffic usage graph (last 24 hours)

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to fetch traffic for

upLinkIdintegerRequired

ID of the uplink to fetch traffic for

Responses
chevron-right
200

Base64 encoded image string

application/json
string[]Optional
get
/v3/host/{hostId}/network/usage/{upLinkId}/graph/day

Get the power status of the host

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to fetch the status for

Responses
chevron-right
200

OK

application/json
resultstringRequired

The incoming data usage

timestampinteger · integerRequired

The corresponding date

get
/v3/host/{hostId}/status

Get the BMC power status of the host

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to fetch BMC status for

Responses
chevron-right
200

OK

application/json
resultstringRequired

The incoming data usage

timestampinteger · integerRequired

The corresponding date

get
/v3/host/{hostId}/bmcStatus

Turn the host On

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to turn on

Responses
chevron-right
200

OK

application/json
resultstringRequired

The incoming data usage

timestampinteger · integerRequired

The corresponding date

put
/v3/host/{hostId}/start

Turn the host Off

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to turn off

Responses
chevron-right
200

OK

application/json
resultstringRequired

The incoming data usage

timestampinteger · integerRequired

The corresponding date

put
/v3/host/{hostId}/stop

Restart the host

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to restart

Responses
chevron-right
200

OK

application/json
resultstringRequired

The incoming data usage

timestampinteger · integerRequired

The corresponding date

put
/v3/host/{hostId}/restart

Install an operating system on the host

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to install

Body
hostnamestringOptional
postInstallScriptstringOptional
quickFormatbooleanOptional

Perform a quick format of all drives. Default: true

sshKeyUuidstringOptional

For an overview of available SSH keys, see /v3/sshKey. Only required for Linux OSs, except Talos.

Responses
chevron-right
200

OK

application/json
hostnamestringOptional
postInstallScriptstringOptional
quickFormatbooleanOptional

Perform a quick format of all drives. Default: true

sshKeyUuidstringOptional

For an overview of available SSH keys, see /v3/sshKey. Only required for Linux OSs, except Talos.

post
/v3/host/{hostId}/os/install

Get all OS installation logs on this host

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to fetch install logs for

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idinteger · integerRequired

The ID of this log

issueOpeninteger · integerRequired

Does the server log has an open issue

dateStampinteger · integerRequired

Time of the log

issueCategorystringRequired

Server log issue category

issueDescriptionstringRequired

Server log issue description

issueResolvedstringRequired

Whether or not server log issue is resolved

catNamestringRequired

Server log category name

get
/v3/host/{hostId}/os/installLog

Format all disks inside the host

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostIdintegerRequired

ID of the host to format disks for

Body
methodstringRequired

Can be quick format or a full secure disk wipe. Available options: quick | fullwipe

Responses
chevron-right
200

OK

application/json
methodstringRequired

Can be quick format or a full secure disk wipe. Available options: quick | fullwipe

post
/v3/host/{hostId}/formatDisks

Last updated

Was this helpful?